package com.tjk.vo;

import java.sql.Date;

public class ProductRelationVo {

	private Integer id;
	private Integer productType;
	private String productName;
	private Integer managerId;
	private Integer companyId;
	private Integer issuePortal;
	private String custody;
	private String primeBroker;
	private Integer status;
	private String strategyDescription;
	private Integer majorStrategy;
	private Integer minorStrategy;
	private String investmentScope;
	private Integer investmentRegion;
	private Integer mihfRating;
	private String administrator;
	private Integer supervisionUnits;
	private Integer isFiling;
	private Integer isStructured;
	private String productCode;
	private Integer currencyType;
	private Integer leastAmount;
	private Integer leastAddto;
	private Float purchaseRate;
	private Float managementFeeRate;
	private Float performancePayRate;
	private Float redemptionRate;
	private String otherFeeRate;
	private Integer isSetThreshold;
	private Integer isSetGuaranteed;
	private String purchaseDescription;
	private String redemptionDescription;
	private Integer closedPeriod;
	private Integer investorScope;
	private Integer productId;
	private Date recommendStartDate;
	private Date recommendEndDate;
	private Date startupDate;
	private Date endDate;
	private Integer duration;
	private Integer maximumExpectedIssuance;
	private Integer maximumActualIssuance;
	private Integer issuancePlace;
	private Integer productScale;
	private Float accumulativeValue;
	private Float netValue;
	private Date expiryDate;
	private String shorterName;
	private String riskInfo;
	private String roadshowInfo;
	private String mihfInfo;
	private String teamInfo;
	private Date postTime;
	private Integer expectedProfit;
	private Integer sortId;
    private String amount;
    private String commission;
    private String description;
    //产品附件属性
    private String orginUri;
    private Integer relationId;//product_id或者news_id
    private String title;
    private String uri;
    private Integer size;
	
    private Integer orderMount;
    private Integer actualMount;
	
	
	
	public Integer getOrderMount() {
		return orderMount;
	}
	public void setOrderMount(Integer orderMount) {
		this.orderMount = orderMount;
	}
	public Integer getActualMount() {
		return actualMount;
	}
	public void setActualMount(Integer actualMount) {
		this.actualMount = actualMount;
	}
	public String getOrginUri() {
		return orginUri;
	}
	public void setOrginUri(String orginUri) {
		this.orginUri = orginUri;
	}
	public Integer getRelationId() {
		return relationId;
	}
	public void setRelationId(Integer relationId) {
		this.relationId = relationId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}
	public Integer getSize() {
		return size;
	}
	public void setSize(Integer size) {
		this.size = size;
	}
	public String getAmount() {
		return amount;
	}
	public void setAmount(String amount) {
		this.amount = amount;
	}
	public String getCommission() {
		return commission;
	}
	public void setCommission(String commission) {
		this.commission = commission;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getRiskInfo() {
		return riskInfo;
	}
	public void setRiskInfo(String riskInfo) {
		this.riskInfo = riskInfo;
	}
	public String getRoadshowInfo() {
		return roadshowInfo;
	}
	public void setRoadshowInfo(String roadshowInfo) {
		this.roadshowInfo = roadshowInfo;
	}
	public String getMihfInfo() {
		return mihfInfo;
	}
	public void setMihfInfo(String mihfInfo) {
		this.mihfInfo = mihfInfo;
	}
	public String getTeamInfo() {
		return teamInfo;
	}
	public void setTeamInfo(String teamInfo) {
		this.teamInfo = teamInfo;
	}
	public Date getPostTime() {
		return postTime;
	}
	public void setPostTime(Date postTime) {
		this.postTime = postTime;
	}
	public Integer getExpectedProfit() {
		return expectedProfit;
	}
	public void setExpectedProfit(Integer expectedProfit) {
		this.expectedProfit = expectedProfit;
	}
	public Integer getSortId() {
		return sortId;
	}
	public void setSortId(Integer sortId) {
		this.sortId = sortId;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getProductType() {
		return productType;
	}
	public void setProductType(Integer productType) {
		this.productType = productType;
	}
	public String getProductName() {
		return productName;
	}
	public void setProductName(String productName) {
		this.productName = productName;
	}
	public Integer getManagerId() {
		return managerId;
	}
	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}
	public Integer getCompanyId() {
		return companyId;
	}
	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}
	public Integer getIssuePortal() {
		return issuePortal;
	}
	public void setIssuePortal(Integer issuePortal) {
		this.issuePortal = issuePortal;
	}
	public String getCustody() {
		return custody;
	}
	public void setCustody(String custody) {
		this.custody = custody;
	}
	public String getPrimeBroker() {
		return primeBroker;
	}
	public void setPrimeBroker(String primeBroker) {
		this.primeBroker = primeBroker;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getStrategyDescription() {
		return strategyDescription;
	}
	public void setStrategyDescription(String strategyDescription) {
		this.strategyDescription = strategyDescription;
	}
	public Integer getMajorStrategy() {
		return majorStrategy;
	}
	public void setMajorStrategy(Integer majorStrategy) {
		this.majorStrategy = majorStrategy;
	}
	public Integer getMinorStrategy() {
		return minorStrategy;
	}
	public void setMinorStrategy(Integer minorStrategy) {
		this.minorStrategy = minorStrategy;
	}
	public String getInvestmentScope() {
		return investmentScope;
	}
	public void setInvestmentScope(String investmentScope) {
		this.investmentScope = investmentScope;
	}
	public Integer getInvestmentRegion() {
		return investmentRegion;
	}
	public void setInvestmentRegion(Integer investmentRegion) {
		this.investmentRegion = investmentRegion;
	}
	public Integer getMihfRating() {
		return mihfRating;
	}
	public void setMihfRating(Integer mihfRating) {
		this.mihfRating = mihfRating;
	}
	public String getAdministrator() {
		return administrator;
	}
	public void setAdministrator(String administrator) {
		this.administrator = administrator;
	}
	public Integer getSupervisionUnits() {
		return supervisionUnits;
	}
	public void setSupervisionUnits(Integer supervisionUnits) {
		this.supervisionUnits = supervisionUnits;
	}
	public Integer getIsFiling() {
		return isFiling;
	}
	public void setIsFiling(Integer isFiling) {
		this.isFiling = isFiling;
	}
	public Integer getIsStructured() {
		return isStructured;
	}
	public void setIsStructured(Integer isStructured) {
		this.isStructured = isStructured;
	}
	public String getProductCode() {
		return productCode;
	}
	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}
	public Integer getCurrencyType() {
		return currencyType;
	}
	public void setCurrencyType(Integer currencyType) {
		this.currencyType = currencyType;
	}
	public Integer getLeastAmount() {
		return leastAmount;
	}
	public void setLeastAmount(Integer leastAmount) {
		this.leastAmount = leastAmount;
	}
	public Integer getLeastAddto() {
		return leastAddto;
	}
	public void setLeastAddto(Integer leastAddto) {
		this.leastAddto = leastAddto;
	}
	public Float getPurchaseRate() {
		return purchaseRate;
	}
	public void setPurchaseRate(Float purchaseRate) {
		this.purchaseRate = purchaseRate;
	}
	public Float getManagementFeeRate() {
		return managementFeeRate;
	}
	public void setManagementFeeRate(Float managementFeeRate) {
		this.managementFeeRate = managementFeeRate;
	}
	public Float getPerformancePayRate() {
		return performancePayRate;
	}
	public void setPerformancePayRate(Float performancePayRate) {
		this.performancePayRate = performancePayRate;
	}
	public Float getRedemptionRate() {
		return redemptionRate;
	}
	public void setRedemptionRate(Float redemptionRate) {
		this.redemptionRate = redemptionRate;
	}
	public String getOtherFeeRate() {
		return otherFeeRate;
	}
	public void setOtherFeeRate(String otherFeeRate) {
		this.otherFeeRate = otherFeeRate;
	}
	public Integer getIsSetThreshold() {
		return isSetThreshold;
	}
	public void setIsSetThreshold(Integer isSetThreshold) {
		this.isSetThreshold = isSetThreshold;
	}
	public Integer getIsSetGuaranteed() {
		return isSetGuaranteed;
	}
	public void setIsSetGuaranteed(Integer isSetGuaranteed) {
		this.isSetGuaranteed = isSetGuaranteed;
	}
	public String getPurchaseDescription() {
		return purchaseDescription;
	}
	public void setPurchaseDescription(String purchaseDescription) {
		this.purchaseDescription = purchaseDescription;
	}
	public String getRedemptionDescription() {
		return redemptionDescription;
	}
	public void setRedemptionDescription(String redemptionDescription) {
		this.redemptionDescription = redemptionDescription;
	}
	public Integer getClosedPeriod() {
		return closedPeriod;
	}
	public void setClosedPeriod(Integer closedPeriod) {
		this.closedPeriod = closedPeriod;
	}
	public Integer getInvestorScope() {
		return investorScope;
	}
	public void setInvestorScope(Integer investorScope) {
		this.investorScope = investorScope;
	}
	public Integer getProductId() {
		return productId;
	}
	public void setProductId(Integer productId) {
		this.productId = productId;
	}
	public Date getRecommendStartDate() {
		return recommendStartDate;
	}
	public void setRecommendStartDate(Date recommendStartDate) {
		this.recommendStartDate = recommendStartDate;
	}
	public Date getRecommendEndDate() {
		return recommendEndDate;
	}
	public void setRecommendEndDate(Date recommendEndDate) {
		this.recommendEndDate = recommendEndDate;
	}
	public Date getStartupDate() {
		return startupDate;
	}
	public void setStartupDate(Date startupDate) {
		this.startupDate = startupDate;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public Integer getDuration() {
		return duration;
	}
	public void setDuration(Integer duration) {
		this.duration = duration;
	}
	public Integer getMaximumExpectedIssuance() {
		return maximumExpectedIssuance;
	}
	public void setMaximumExpectedIssuance(Integer maximumExpectedIssuance) {
		this.maximumExpectedIssuance = maximumExpectedIssuance;
	}
	public Integer getMaximumActualIssuance() {
		return maximumActualIssuance;
	}
	public void setMaximumActualIssuance(Integer maximumActualIssuance) {
		this.maximumActualIssuance = maximumActualIssuance;
	}
	public Integer getIssuancePlace() {
		return issuancePlace;
	}
	public void setIssuancePlace(Integer issuancePlace) {
		this.issuancePlace = issuancePlace;
	}
	public Integer getProductScale() {
		return productScale;
	}
	public void setProductScale(Integer productScale) {
		this.productScale = productScale;
	}
	public Float getAccumulativeValue() {
		return accumulativeValue;
	}
	public void setAccumulativeValue(Float accumulativeValue) {
		this.accumulativeValue = accumulativeValue;
	}
	public Float getNetValue() {
		return netValue;
	}
	public void setNetValue(Float netValue) {
		this.netValue = netValue;
	}
	public Date getExpiryDate() {
		return expiryDate;
	}
	public void setExpiryDate(Date expiryDate) {
		this.expiryDate = expiryDate;
	}
	public String getShorterName() {
		return shorterName;
	}
	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}
	
	
}
